// ===========================================================================
// CDlogBox.cp
// ===========================================================================

#pragma once
#include <UReanimator.h>
#include "CDlogBox.h"

// Internal defenition
#define rid_Dlog			1000


// ---------------------------------------------------------------------------
// Create window [static]
// ---------------------------------------------------------------------------
//

CDlogBox	*CDlogBox::Create(LCommander *inSuperCommander) {
	SetDefaultCommander(inSuperCommander);
	SetDefaultAttachable(nil);
	CDlogBox	*theDlog;
	theDlog = (CDlogBox *)UReanimator::ReadObjects('PPob', rid_Dlog);
	if(theDlog) theDlog->FinishCreate();
	return theDlog;
}


// ---------------------------------------------------------------------------
// Constructor
// ---------------------------------------------------------------------------
//

CDlogBox::CDlogBox(LStream *inStream) : LDialogBox(inStream){
}


#pragma mark -



// ---------------------------------------------------------------------------
// ListenToMessage
// ---------------------------------------------------------------------------

void CDlogBox::ListenToMessage(MessageT inMessage, void *ioParam) {
	switch(inMessage) {
		case 1003:
			::SysBeep(0);
		case 1002:
			::SysBeep(0);
		case 1001:
			::SysBeep(0);
			break;
						
		default :
			LDialogBox::ListenToMessage(inMessage, ioParam);
			break;
	}
}


#pragma mark -


// ---------------------------------------------------------------------------
// Finish create self
// ---------------------------------------------------------------------------

void CDlogBox::FinishCreateSelf(void){
	LDialogBox::FinishCreateSelf();
	UReanimator::LinkListenerToControls(this, this, rid_Dlog);
	
	// Show dialog
	Show();
}
